Skip to main content
GET
Fetch customer credits ledger

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

customer_id
string | null
required

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 500
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

currency
string | null

The ledger currency or custom pricing unit to use.

minimum_amount
string | null
entry_type
enum<string> | null
Available options:
increment,
decrement,
expiration_change,
credit_block_expiry,
void,
void_initiated,
amendment
entry_status
enum<string> | null
Available options:
committed,
pending
created_at[gte]
string<date-time> | null
created_at[gt]
string<date-time> | null
created_at[lt]
string<date-time> | null
created_at[lte]
string<date-time> | null

Response

OK

data
(IncrementLedgerEntry · object | DecrementLedgerEntry · object | ExpirationChangeLedgerEntry · object | CreditBlockExpiryLedgerEntry · object | VoidLedgerEntry · object | VoidInitiatedLedgerEntry · object | AmendmentLedgerEntry · object)[]
required

The Credit Ledger Entry resource models prepaid credits within Orb.

pagination_metadata
PaginationMetadata · object
required